Navigator

25 views
Skip to first unread message

David Leangen

unread,
Jul 16, 2012, 1:35:53 AM7/16/12
to wiquery...@googlegroups.com

Hi,

I noticed that none of the Navigator functionality is available, so I started implementing that locally. I would be interested in contributing these changes, but there are quite a bit of changes, so probably too big for a patch.

Cheers,
=David


Ernesto Reinaldo Barreiro

unread,
Jul 16, 2012, 3:03:04 AM7/16/12
to wiquery...@googlegroups.com
I can grant you commit access if you want. Project has been very inactive in the last year as I haven´t had time for it. 

Cheers,

Ernesto
--
Regards - Ernesto Reinaldo Barreiro


David Leangen

unread,
Jul 16, 2012, 3:08:51 AM7/16/12
to wiquery...@googlegroups.com

Hi, Ernesto,

Sure, please do.

What info do I need to give you?


Cheers,
=David

Ernesto Reinaldo Barreiro

unread,
Jul 16, 2012, 3:14:04 AM7/16/12
to wiquery...@googlegroups.com
already have your g-mail address;-)

Ernesto Reinaldo Barreiro

unread,
Jul 16, 2012, 3:16:13 AM7/16/12
to wiquery...@googlegroups.com
You are a now commiter. 

David Leangen

unread,
Jul 16, 2012, 3:18:16 AM7/16/12
to wiquery...@googlegroups.com

Cool, thanks!

Is there any particular place where you would like to me to commit the changes? A new branch, maybe?


Cheers,
=David

Ernesto Reinaldo Barreiro

unread,
Jul 16, 2012, 3:26:04 AM7/16/12
to wiquery...@googlegroups.com
Maybe we should create a branch for 1.5.x: most of the plugins are currently for 1.4.x. I have migrated some of them locally to 1.5.x (but not as part of the project). So, maybe the best idea is to create a  a plugins-parent for 1.5.x branch and under it sub-projects for plugins.  

Cheers,

Ernesto

David Leangen

unread,
Jul 16, 2012, 3:32:37 AM7/16/12
to wiquery...@googlegroups.com

I agree... however I am still in the dark ages, using 1.4.x. :-)

Perhaps I should just then continue using the same branch, then if somebody has time (or if I ever modernize my code) the changes could be ported to be 1.5 compatible.

wdyt?

=David

Ernesto Reinaldo Barreiro

unread,
Jul 16, 2012, 3:37:29 AM7/16/12
to wiquery...@googlegroups.com
David,


I agree... however I am still in the dark ages, using 1.4.x. :-)

Migrating existing plugins to 1.5.x is rather simple: there is no longer a wiquery specific code to contribute to head, so JS and CSS contributions should be done on #renderHead 
 
Perhaps I should just then continue using the same branch, then if somebody has time (or if I ever modernize my code) the changes could be ported to be 1.5 compatible.

Yes that seems a good idea. 

Cheers,

Ernesto
Reply all
Reply to author
Forward
0 new messages